using Syntriax.Engine.Core;

namespace Syntriax.Engine.Systems.Time;

public interface ITicker : IStopwatch
{
    Event<ITicker> OnTick { get; }

    int TickCounter { get; }
    double Period { get; set; }
}
